// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/private/locale.proto

package private

import (
	empty "github.com/golang/protobuf/ptypes/empty"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	common "gitlab.com/fcpartners/apis/gen/language-service/v1/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type GetLocaleRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Locale string `protobuf:"bytes,1,opt,name=locale,proto3" json:"locale,omitempty"` //unique identifier of locale :example en_GB;
}

func (x *GetLocaleRequest) Reset() {
	*x = GetLocaleRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetLocaleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLocaleRequest) ProtoMessage() {}

func (x *GetLocaleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLocaleRequest.ProtoReflect.Descriptor instead.
func (*GetLocaleRequest) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{0}
}

func (x *GetLocaleRequest) GetLocale() string {
	if x != nil {
		return x.Locale
	}
	return ""
}

type GetLocaleResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Locale  string `protobuf:"bytes,1,opt,name=locale,proto3" json:"locale,omitempty"`    //unique identifier of locale :example en_GB;
	Active  bool   `protobuf:"varint,2,opt,name=active,proto3" json:"active,omitempty"`   // this local active: example available on site
	Default bool   `protobuf:"varint,3,opt,name=default,proto3" json:"default,omitempty"` // this local is default
}

func (x *GetLocaleResponse) Reset() {
	*x = GetLocaleResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetLocaleResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLocaleResponse) ProtoMessage() {}

func (x *GetLocaleResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLocaleResponse.ProtoReflect.Descriptor instead.
func (*GetLocaleResponse) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{1}
}

func (x *GetLocaleResponse) GetLocale() string {
	if x != nil {
		return x.Locale
	}
	return ""
}

func (x *GetLocaleResponse) GetActive() bool {
	if x != nil {
		return x.Active
	}
	return false
}

func (x *GetLocaleResponse) GetDefault() bool {
	if x != nil {
		return x.Default
	}
	return false
}

type CreateLocaleRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Locale  string `protobuf:"bytes,1,opt,name=locale,proto3" json:"locale,omitempty"`    //unique identifier of locale :example en_GB;
	Active  bool   `protobuf:"varint,2,opt,name=active,proto3" json:"active,omitempty"`   // this local active: example available on site
	Default bool   `protobuf:"varint,3,opt,name=default,proto3" json:"default,omitempty"` // this local is default
}

func (x *CreateLocaleRequest) Reset() {
	*x = CreateLocaleRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateLocaleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateLocaleRequest) ProtoMessage() {}

func (x *CreateLocaleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateLocaleRequest.ProtoReflect.Descriptor instead.
func (*CreateLocaleRequest) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{2}
}

func (x *CreateLocaleRequest) GetLocale() string {
	if x != nil {
		return x.Locale
	}
	return ""
}

func (x *CreateLocaleRequest) GetActive() bool {
	if x != nil {
		return x.Active
	}
	return false
}

func (x *CreateLocaleRequest) GetDefault() bool {
	if x != nil {
		return x.Default
	}
	return false
}

type CreateLocaleResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *CreateLocaleResponse) Reset() {
	*x = CreateLocaleResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateLocaleResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateLocaleResponse) ProtoMessage() {}

func (x *CreateLocaleResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateLocaleResponse.ProtoReflect.Descriptor instead.
func (*CreateLocaleResponse) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{3}
}

type UpdateLocaleRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Locale  string `protobuf:"bytes,1,opt,name=locale,proto3" json:"locale,omitempty"`    //unique identifier of locale :example en_GB;
	Active  bool   `protobuf:"varint,2,opt,name=active,proto3" json:"active,omitempty"`   // this local active: example available on site
	Default bool   `protobuf:"varint,3,opt,name=default,proto3" json:"default,omitempty"` // this local is default
}

func (x *UpdateLocaleRequest) Reset() {
	*x = UpdateLocaleRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateLocaleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateLocaleRequest) ProtoMessage() {}

func (x *UpdateLocaleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateLocaleRequest.ProtoReflect.Descriptor instead.
func (*UpdateLocaleRequest) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{4}
}

func (x *UpdateLocaleRequest) GetLocale() string {
	if x != nil {
		return x.Locale
	}
	return ""
}

func (x *UpdateLocaleRequest) GetActive() bool {
	if x != nil {
		return x.Active
	}
	return false
}

func (x *UpdateLocaleRequest) GetDefault() bool {
	if x != nil {
		return x.Default
	}
	return false
}

type UpdateLocaleResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UpdateLocaleResponse) Reset() {
	*x = UpdateLocaleResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateLocaleResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateLocaleResponse) ProtoMessage() {}

func (x *UpdateLocaleResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateLocaleResponse.ProtoReflect.Descriptor instead.
func (*UpdateLocaleResponse) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{5}
}

type DeleteLocaleRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Locale string `protobuf:"bytes,1,opt,name=locale,proto3" json:"locale,omitempty"` //unique identifier of locale :example en_GB;
}

func (x *DeleteLocaleRequest) Reset() {
	*x = DeleteLocaleRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteLocaleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteLocaleRequest) ProtoMessage() {}

func (x *DeleteLocaleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteLocaleRequest.ProtoReflect.Descriptor instead.
func (*DeleteLocaleRequest) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{6}
}

func (x *DeleteLocaleRequest) GetLocale() string {
	if x != nil {
		return x.Locale
	}
	return ""
}

type ListLocalesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter     *LocaleFilter             `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`         // search filters
	Pagination *common.PaginationRequest `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"` //pagination
}

func (x *ListLocalesRequest) Reset() {
	*x = ListLocalesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListLocalesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListLocalesRequest) ProtoMessage() {}

func (x *ListLocalesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListLocalesRequest.ProtoReflect.Descriptor instead.
func (*ListLocalesRequest) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{7}
}

func (x *ListLocalesRequest) GetFilter() *LocaleFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListLocalesRequest) GetPagination() *common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListLocalesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Locales    []*GetLocaleResponse       `protobuf:"bytes,1,rep,name=locales,proto3" json:"locales,omitempty"`       // list of Locale
	Pagination *common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"` //pagination
}

func (x *ListLocalesResponse) Reset() {
	*x = ListLocalesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListLocalesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListLocalesResponse) ProtoMessage() {}

func (x *ListLocalesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListLocalesResponse.ProtoReflect.Descriptor instead.
func (*ListLocalesResponse) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{8}
}

func (x *ListLocalesResponse) GetLocales() []*GetLocaleResponse {
	if x != nil {
		return x.Locales
	}
	return nil
}

func (x *ListLocalesResponse) GetPagination() *common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type GetDefaultRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *GetDefaultRequest) Reset() {
	*x = GetDefaultRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetDefaultRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetDefaultRequest) ProtoMessage() {}

func (x *GetDefaultRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetDefaultRequest.ProtoReflect.Descriptor instead.
func (*GetDefaultRequest) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{9}
}

type GetDefaultResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Locale string `protobuf:"bytes,1,opt,name=locale,proto3" json:"locale,omitempty"` //unique identifier of locale :example en_GB;
}

func (x *GetDefaultResponse) Reset() {
	*x = GetDefaultResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetDefaultResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetDefaultResponse) ProtoMessage() {}

func (x *GetDefaultResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetDefaultResponse.ProtoReflect.Descriptor instead.
func (*GetDefaultResponse) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{10}
}

func (x *GetDefaultResponse) GetLocale() string {
	if x != nil {
		return x.Locale
	}
	return ""
}

type LocaleFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Active *wrappers.BoolValue `protobuf:"bytes,1,opt,name=active,proto3" json:"active,omitempty"`
}

func (x *LocaleFilter) Reset() {
	*x = LocaleFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_private_locale_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LocaleFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LocaleFilter) ProtoMessage() {}

func (x *LocaleFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_private_locale_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LocaleFilter.ProtoReflect.Descriptor instead.
func (*LocaleFilter) Descriptor() ([]byte, []int) {
	return file_v1_private_locale_proto_rawDescGZIP(), []int{11}
}

func (x *LocaleFilter) GetActive() *wrappers.BoolValue {
	if x != nil {
		return x.Active
	}
	return nil
}

var File_v1_private_locale_proto protoreflect.FileDescriptor

var file_v1_private_locale_proto_rawDesc = []byte{
	0x0a, 0x17, 0x76, 0x31, 0x2f, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2f, 0x6c, 0x6f, 0x63,
	0x61, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1b, 0x6c, 0x61, 0x6e, 0x67, 0x75,
	0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x70,
	0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x1a, 0x16, 0x76, 0x31, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61,
	0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x2a, 0x0a, 0x10, 0x47,
	0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x16, 0x0a, 0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x22, 0x5d, 0x0a, 0x11, 0x47, 0x65, 0x74, 0x4c, 0x6f,
	0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x16, 0x0a, 0x06,
	0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6c, 0x6f,
	0x63, 0x61, 0x6c, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x12, 0x18, 0x0a, 0x07,
	0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x64,
	0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x22, 0x5f, 0x0a, 0x13, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a,
	0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6c,
	0x6f, 0x63, 0x61, 0x6c, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x12, 0x18, 0x0a,
	0x07, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07,
	0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x22, 0x16, 0x0a, 0x14, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x5f, 0x0a, 0x13, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x12, 0x16,
	0x0a, 0x06, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06,
	0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c,
	0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74,
	0x22, 0x16, 0x0a, 0x14, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x2d, 0x0a, 0x13, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x16, 0x0a, 0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x22, 0x9f, 0x01, 0x0a, 0x12, 0x4c, 0x69, 0x73, 0x74,
	0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x41,
	0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x29,
	0x2e, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x2e, 0x76, 0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x4c, 0x6f, 0x63,
	0x61, 0x6c, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65,
	0x72, 0x12, 0x46, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65,
	0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70,
	0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xa8, 0x01, 0x0a, 0x13, 0x4c, 0x69,
	0x73, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x48, 0x0a, 0x07, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65,
	0x2e, 0x47, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x52, 0x07, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x73, 0x12, 0x47, 0x0a, 0x0a, 0x70,
	0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x27, 0x2e, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x22, 0x13, 0x0a, 0x11, 0x47, 0x65, 0x74, 0x44, 0x65, 0x66, 0x61, 0x75,
	0x6c, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x2c, 0x0a, 0x12, 0x47, 0x65, 0x74,
	0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x16, 0x0a, 0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x22, 0x42, 0x0a, 0x0c, 0x4c, 0x6f, 0x63, 0x61, 0x6c,
	0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x32, 0x0a, 0x06, 0x61, 0x63, 0x74, 0x69, 0x76,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x6f, 0x6f, 0x6c, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x52, 0x06, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x32, 0xa0, 0x05, 0x0a, 0x0d,
	0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x6a, 0x0a,
	0x09, 0x47, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x12, 0x2d, 0x2e, 0x6c, 0x61, 0x6e,
	0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76, 0x31,
	0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61,
	0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x6c, 0x61, 0x6e, 0x67,
	0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76, 0x31, 0x2e,
	0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c,
	0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x73, 0x0a, 0x0c, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x12, 0x30, 0x2e, 0x6c, 0x61, 0x6e, 0x67,
	0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76, 0x31, 0x2e,
	0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x4c, 0x6f,
	0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x31, 0x2e, 0x6c, 0x61,
	0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76,
	0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x73,
	0x0a, 0x0c, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x12, 0x30,
	0x2e, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x2e, 0x76, 0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x31, 0x2e, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x58, 0x0a, 0x0c, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4c, 0x6f, 0x63,
	0x61, 0x6c, 0x65, 0x12, 0x30, 0x2e, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76, 0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74,
	0x65, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x70, 0x0a,
	0x0b, 0x4c, 0x69, 0x73, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x73, 0x12, 0x2f, 0x2e, 0x6c,
	0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e,
	0x76, 0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4c,
	0x6f, 0x63, 0x61, 0x6c, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x30, 0x2e,
	0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x2e, 0x76, 0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x4c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x6d, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x12, 0x2e, 0x2e,
	0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x2e, 0x76, 0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x44,
	0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e,
	0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x2e, 0x76, 0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x44,
	0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x6e,
	0x0a, 0x2b, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x6c,
	0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x76,
	0x31, 0x2e, 0x70, 0x72, 0x69, 0x76, 0x2e, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x65, 0x50, 0x01, 0x5a,
	0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61,
	0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f,
	0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x2d, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x2f, 0x76, 0x31, 0x2f, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0xba, 0x02, 0x00, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_private_locale_proto_rawDescOnce sync.Once
	file_v1_private_locale_proto_rawDescData = file_v1_private_locale_proto_rawDesc
)

func file_v1_private_locale_proto_rawDescGZIP() []byte {
	file_v1_private_locale_proto_rawDescOnce.Do(func() {
		file_v1_private_locale_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_private_locale_proto_rawDescData)
	})
	return file_v1_private_locale_proto_rawDescData
}

var file_v1_private_locale_proto_msgTypes = make([]protoimpl.MessageInfo, 12)
var file_v1_private_locale_proto_goTypes = []interface{}{
	(*GetLocaleRequest)(nil),          // 0: language.service.v1.private.GetLocaleRequest
	(*GetLocaleResponse)(nil),         // 1: language.service.v1.private.GetLocaleResponse
	(*CreateLocaleRequest)(nil),       // 2: language.service.v1.private.CreateLocaleRequest
	(*CreateLocaleResponse)(nil),      // 3: language.service.v1.private.CreateLocaleResponse
	(*UpdateLocaleRequest)(nil),       // 4: language.service.v1.private.UpdateLocaleRequest
	(*UpdateLocaleResponse)(nil),      // 5: language.service.v1.private.UpdateLocaleResponse
	(*DeleteLocaleRequest)(nil),       // 6: language.service.v1.private.DeleteLocaleRequest
	(*ListLocalesRequest)(nil),        // 7: language.service.v1.private.ListLocalesRequest
	(*ListLocalesResponse)(nil),       // 8: language.service.v1.private.ListLocalesResponse
	(*GetDefaultRequest)(nil),         // 9: language.service.v1.private.GetDefaultRequest
	(*GetDefaultResponse)(nil),        // 10: language.service.v1.private.GetDefaultResponse
	(*LocaleFilter)(nil),              // 11: language.service.v1.private.LocaleFilter
	(*common.PaginationRequest)(nil),  // 12: language.service.v1.PaginationRequest
	(*common.PaginationResponse)(nil), // 13: language.service.v1.PaginationResponse
	(*wrappers.BoolValue)(nil),        // 14: google.protobuf.BoolValue
	(*empty.Empty)(nil),               // 15: google.protobuf.Empty
}
var file_v1_private_locale_proto_depIdxs = []int32{
	11, // 0: language.service.v1.private.ListLocalesRequest.filter:type_name -> language.service.v1.private.LocaleFilter
	12, // 1: language.service.v1.private.ListLocalesRequest.pagination:type_name -> language.service.v1.PaginationRequest
	1,  // 2: language.service.v1.private.ListLocalesResponse.locales:type_name -> language.service.v1.private.GetLocaleResponse
	13, // 3: language.service.v1.private.ListLocalesResponse.pagination:type_name -> language.service.v1.PaginationResponse
	14, // 4: language.service.v1.private.LocaleFilter.active:type_name -> google.protobuf.BoolValue
	0,  // 5: language.service.v1.private.LocaleService.GetLocale:input_type -> language.service.v1.private.GetLocaleRequest
	2,  // 6: language.service.v1.private.LocaleService.CreateLocale:input_type -> language.service.v1.private.CreateLocaleRequest
	4,  // 7: language.service.v1.private.LocaleService.UpdateLocale:input_type -> language.service.v1.private.UpdateLocaleRequest
	6,  // 8: language.service.v1.private.LocaleService.DeleteLocale:input_type -> language.service.v1.private.DeleteLocaleRequest
	7,  // 9: language.service.v1.private.LocaleService.ListLocales:input_type -> language.service.v1.private.ListLocalesRequest
	9,  // 10: language.service.v1.private.LocaleService.GetDefault:input_type -> language.service.v1.private.GetDefaultRequest
	1,  // 11: language.service.v1.private.LocaleService.GetLocale:output_type -> language.service.v1.private.GetLocaleResponse
	3,  // 12: language.service.v1.private.LocaleService.CreateLocale:output_type -> language.service.v1.private.CreateLocaleResponse
	5,  // 13: language.service.v1.private.LocaleService.UpdateLocale:output_type -> language.service.v1.private.UpdateLocaleResponse
	15, // 14: language.service.v1.private.LocaleService.DeleteLocale:output_type -> google.protobuf.Empty
	8,  // 15: language.service.v1.private.LocaleService.ListLocales:output_type -> language.service.v1.private.ListLocalesResponse
	10, // 16: language.service.v1.private.LocaleService.GetDefault:output_type -> language.service.v1.private.GetDefaultResponse
	11, // [11:17] is the sub-list for method output_type
	5,  // [5:11] is the sub-list for method input_type
	5,  // [5:5] is the sub-list for extension type_name
	5,  // [5:5] is the sub-list for extension extendee
	0,  // [0:5] is the sub-list for field type_name
}

func init() { file_v1_private_locale_proto_init() }
func file_v1_private_locale_proto_init() {
	if File_v1_private_locale_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_private_locale_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetLocaleRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetLocaleResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateLocaleRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateLocaleResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateLocaleRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateLocaleResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteLocaleRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListLocalesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListLocalesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetDefaultRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetDefaultResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_private_locale_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LocaleFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_private_locale_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   12,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_private_locale_proto_goTypes,
		DependencyIndexes: file_v1_private_locale_proto_depIdxs,
		MessageInfos:      file_v1_private_locale_proto_msgTypes,
	}.Build()
	File_v1_private_locale_proto = out.File
	file_v1_private_locale_proto_rawDesc = nil
	file_v1_private_locale_proto_goTypes = nil
	file_v1_private_locale_proto_depIdxs = nil
}
